# BEGIN SourceDeps(oneline):
BuildRequires: perl(AI/Prolog.pm) perl(Capture/Tiny.pm) perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Hash/AsObject.pm)
# END SourceDeps(oneline)
%define module_name App-ForKids-LogicalPuzzleGenerator
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: The great new App::ForKids::LogicalPuzzleGenerator!
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PB/PBIERNACK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The module generates a logical puzzle. The field "story" contains a text describing the puzzle (multiple sessions)
while the field "solution" contains the data describing the solution.

    use App::ForKids::LogicalPuzzleGenerator;

    my $x = App::ForKids::LogicalPuzzleGenerator->new(range=>3, amount_of_facts_per_session => 4);
    
    print $$x{intro_story};
    
    print $$x{story};
    
    print $$x{solution_story};

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

